Retrieve peos

/peo/peos/retrieve Retrieves information about PEOs.
Table 1. Details

Resource path

/api/core/v1/peo/peos/retrieve

HTTP method

POST

Request content type

application/json

Response content type

  • application/xml; charset=UTF-8;

  • application/json

  • application/json+compact

Body parameters

Specified by PeoRequest

  • ids: it might be used to get peos by id's

  • tids: it might be used to get peos by tid's

Boolean withMetadata parameter indicates to return peos with metadata or not. By default, this parameter is false.
Boolean namesOnly parameter indicates to return peos with names only for performance reasons. By default, this parameter is false.
Peos are retrieved by tids OR ids. ids are ignored if the request contains tids and ids.
Return Type

PimType with peos as String

Table 2. Http response codes
Code Message Datatype

200

PimType with peos as String

PimType

400

Invalid input provided

ResponseType

401

Not authorized

ResponseType

404

Not found

ResponseType

500

An unknown internal error occurred

ResponseType

Samples
Please use transform endpoint to get the JSON/compact-JSON samples from the XML one.
Retrieve peo with metadata by peo tids
curl
curl --location 'http://<OMN_SERVER>/api/core/v1/pim/peos/retrieve' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
    "tids": ["55beafb6-a80b-48ab-8a7b-9e1a98d67b24", "38b42b94-ffca-445c-b395-fa6ee612cbb3"],
    "withMetadata" : true
}'
Request body
{
    "tids": ["55beafb6-a80b-48ab-8a7b-9e1a98d67b24", "38b42b94-ffca-445c-b395-fa6ee612cbb3"],
    "withMetadata" : true
}
Response body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2023-02-27T07:20:20.659Z</itm>
        <itm key="sourceEnv">web</itm>
        <itm key="itemInformationType">peo</itm>
    </meta>
    <peos>
        <peo default="false"
           product="ec98dde6-4064-465d-a1fb-237e2f10a336"
           template="PeoTemplate1"
           tid="55beafb6-a80b-48ab-8a7b-9e1a98d67b24">
            <meta>
                <itm key="id">47230</itm>
                <itm key="creationDate">2023-02-24T07:54:45.523Z</itm>
                <itm key="modificationDate">2023-02-24T07:54:45.523Z</itm>
            </meta>
            <name>PEO name</name>
            <nodes/>
        </peo>
        <peo default="false"
           product="ec98dde6-4064-465d-a1fb-237e2f10a336"
           template="PeoTemplate1"
           tid="38b42b94-ffca-445c-b395-fa6ee612cbb3">
            <meta>
                <itm key="id">47231</itm>
                <itm key="creationDate">2023-02-24T07:57:29.386Z</itm>
                <itm key="modificationDate">2023-02-24T07:57:29.386Z</itm>
            </meta>
            <name>PEO name</name>
            <nodes/>
        </peo>
    </peos>
</pim>
Retrieve peo without metadata by peo ids
curl
curl --location 'http://<OMN_SERVER>/api/core/v1/pim/peos/retrieve' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
    "ids": [47230, 47231]
}'
Request body
{
    "ids": [47230, 47231]
}
Response body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2023-02-27T07:22:00.004Z</itm>
        <itm key="sourceEnv">web</itm>
        <itm key="itemInformationType">peo</itm>
    </meta>
    <peos>
        <peo default="false"
           product="ec98dde6-4064-465d-a1fb-237e2f10a336"
           template="PeoTemplate1"
           tid="55beafb6-a80b-48ab-8a7b-9e1a98d67b24">
            <name>PEO name</name>
            <nodes/>
        </peo>
        <peo default="false"
           product="ec98dde6-4064-465d-a1fb-237e2f10a336"
           template="PeoTemplate1"
           tid="38b42b94-ffca-445c-b395-fa6ee612cbb3">
            <name>PEO name</name>
            <nodes/>
        </peo>
    </peos>
</pim>
Retrieve peo without metadata with name only by peo id
curl
curl --location 'http://<OMN_SERVER>/api/core/v1/pim/peos/retrieve' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
    "ids": [46560],
    "withMetadata": false,
    "namesOnly": true
}'
Request body
{
  "ids": [
    46560
  ],
  "withMetadata": false,
  "namesOnly": true
}
Response body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2024-03-06T12:13:32.763Z</itm>
        <itm key="sourceEnv">ocd_dev</itm>
        <itm key="itemInformationType">peo</itm>
    </meta>
    <peos>
        <peo default="true" product="56606a59-3b13-4693-8354-6e4a04263869" template="Print" tid="cc896f41-d73b-432b-9e92-4d88c3e99702">
            <name>Project_Print_06.03.2024_10:19:25</name>
        </peo>
    </peos>
</pim>

Welcome to the AI Chat!

Write a prompt to get started...